Ubuntu 18.04 -> 'tsmuxer' (and others) is not available

For help and support with Linux-specific issues
Forum rules
Please make sure you follow the Problem Reporting Guidelines before posting if you want a reply
Amadeus
Posts: 21
Joined: Fri Oct 09, 2015 10:06 pm

Ubuntu 18.04 -> 'tsmuxer' (and others) is not available

Post by Amadeus » Tue Jan 01, 2019 6:17 pm

I recently upgraded my server from Ubuntu 16.04 to 18.04 LTS and my UMS from 6.5.3 to 7.7.1. It runs; however, there are things showing as 'not available', and I cannot figure out why:

Code: Select all

INFO  00:07:15.199 [main] Transcoding engine "FFmpeg Audio" is available
INFO  00:07:15.267 [main] Transcoding engine "MEncoder Video" is available
INFO  00:07:15.267 [main] Transcoding engine "FFmpeg Video" is available
WARN  00:07:15.269 [main] Transcoding engine "VLC Video" is not available
INFO  00:07:15.271 [main] FFmpeg web filters "/root/.config/UMS/ffmpeg.webfilters" not found, web filters ignored
INFO  00:07:15.271 [main] Transcoding engine "FFmpeg Web Video" is available
INFO  00:07:15.271 [main] Transcoding engine "MEncoder Web Video" is available
WARN  00:07:15.272 [main] Transcoding engine "VLC Web Video" is not available
WARN  00:07:15.279 [main] Transcoding engine "tsMuxeR Video" is not available
WARN  00:07:15.279 [main] Transcoding engine "tsMuxeR Audio" is not available
WARN  00:07:15.280 [main] Transcoding engine "VLC Web Audio (Legacy)" is not available
WARN  00:07:15.280 [main] Transcoding engine "VLC Web Video (Legacy)" is not available
INFO  00:07:15.283 [main] Transcoding engine "DCRaw" is available
I followed the instructions at https://github.com/UniversalMediaServer ... structions to ensure that everything is installed. (Perhaps a developer needs to update this?)

"MEncoder" and "DCRaw" were originally showing as not available; however, I followed advice at https://www.universalmediaserver.com/fo ... =10#p37560 and created symbolic links from /usr/bin/mencoder and /usr/bin/dcraw to the UMS directory, and now they're showing as available. However, creating a link to /usr/bin/vlc didn't help that one ...and I don't know where to start with tsMuxeR.

What can I check, or what command should I run in order to provide more information so that this can be fixed for me and all Ubuntu 18.04 LTS users?

Thanks.

boss
Posts: 201
Joined: Thu Jun 30, 2016 1:07 pm

Re: Ubuntu 18.04 -> 'tsmuxer' (and others) is not available

Post by boss » Tue Jan 01, 2019 7:34 pm

There was a problem with a previous version of UMS where it wasn't picking up mencoder and dcraw in Linux even if those files were in the default Linux paths.
It is not an issue in V7.7.1 as I have that version running on Linux.

Rather that make symbolic links (you should delete them, you can put the file paths in "UMS.conf". (although you shouldn't have to)

Firstly check that both mencoder and dcraw are in /usr/bin
If they are, check your "UMS.conf" file for the following:
The paths will be empty, but you can modify to the following.

# Path to dcraw (absolute or relative from project.binaries.dir)
# Default:
# Win: win32/dcrawMS.exe
# Mac: osx/dcraw
# Linux: dcraw + system PATH
dcraw_path = /usr/bin

# Path to mencoder (absolute or relative from project.binaries.dir)
# Default:
# Win: win32/mencoder.exe
# Mac: osx/mencoder
# Linux: mencoder + system PATH
mencoder_path = /usr/bin


**** You may or may not have tsmuxer in "/usr/bin"
# Path to tsMuxeR (absolute or relative from project.binaries.dir)
# Default:
# Win: win32/tsMuxeR.exe
# Mac: osx/tsMuxeR
# Linux: tsMuxeR + system PATH
tsmuxer_path = /usr/bin (**If you have tsmuxer in /usr/bin)
tsmuxer_path = /opt/ums/linux (**if tsmuxer is not in /usr/bin and you wish to use the UMS supplied one. Substitute /opt/ums for where your UMS is installed.)

Find the same type of entries as above (in UMS.conf and add the path to VLC and anything else which is not getting picked up.

Amadeus
Posts: 21
Joined: Fri Oct 09, 2015 10:06 pm

Re: Ubuntu 18.04 -> 'tsmuxer' (and others) is not available

Post by Amadeus » Tue Jan 01, 2019 8:08 pm

Thanks!! I'm definately using 7.7.1 and UMS was not automatically finding the binaries. However, I removed the symbolic links and edited the configuration file as you mentioned and it fixed all of them except VLC. There were some warnings, which I'll mention below, but at least UMS is finding most of the binaries now.

I have three bits of information to share:

ONE:
I made the adjustments to UMS.conf that you mentioned. It helped with most of the applications (other than VLC, which I'll mention below); however, I'm now getting these warnings (I'm not sure if it's something to worry about or not):

Code: Select all

WARN  01:57:05.537 [main] Insufficient permission to execute "/usr/bin" for transcoding engine VLC Video
WARN  01:57:05.539 [main] Transcoding engine "VLC Video" is not available
WARN  01:57:05.543 [main] Insufficient permission to execute "/usr/ums/linux" for transcoding engine tsMuxeR Video
INFO  01:57:05.550 [main] Transcoding engine "tsMuxeR Video" is available
WARN  01:57:05.553 [main] Insufficient permission to execute "/usr/bin" for transcoding engine DCRaw
INFO  01:57:05.554 [main] Transcoding engine "DCRaw" is available
Please note that all of my directory permissions for /usr/bin and /usr/ums/linux are the defaults. I am currently logged in as root though -- could running it as root cause problems?

TWO:
I have VLC installed (/usr/bin/vlc and /usr/bin/vlc-wrapper both exist), and I have this setting in my UMS.conf:

Code: Select all

# Path to VideoLAN (absolute or relative from project.binaries.dir)
# Default:
#     Win: videolan/vlc.exe
#     Mac: /Applications/VLC.app/Contents/MacOS/VLC
#     Linux: vlc + system PATH
vlc_path = /usr/bin
However, it's showing as not available:

Code: Select all

WARN  01:57:05.539 [main] Transcoding engine "VLC Video" is not available
WARN  01:57:05.542 [main] Transcoding engine "VLC Web Video" is not available
WARN  01:57:05.551 [main] Transcoding engine "VLC Web Audio (Legacy)" is not available
WARN  01:57:05.551 [main] Transcoding engine "VLC Web Video (Legacy)" is not available
THREE:
Since you mentioned that UMS comes with txmuxer, I went to that directory and tried running the binary. I got the following error, which is presumably because it's a 32-bit binary: "error while loading shared libraries: libfreetype.so". Anyway, I googled around and found the following solution (which worked) and I thought you might want to include it in your installation documentation. Or, if there is another or better solution, feel free to correct me!

Code: Select all

sudo apt-get install libgtk2.0-0:i386 libidn11:i386 libglu1-mesa:i386

boss
Posts: 201
Joined: Thu Jun 30, 2016 1:07 pm

Re: Ubuntu 18.04 -> 'tsmuxer' (and others) is not available

Post by boss » Tue Jan 01, 2019 8:16 pm

I have modified this as I just read something in your post.

I run UMS as root and no issues.
What are the permissions in /usr/bin and the files within it?

Amadeus
Posts: 21
Joined: Fri Oct 09, 2015 10:06 pm

Re: Ubuntu 18.04 -> 'tsmuxer' (and others) is not available

Post by Amadeus » Tue Jan 01, 2019 8:26 pm

Code: Select all

apollo::root:/> ls -la 
total 128
...
drwxr-xr-x  23 root root  4096 Dec 31 22:05 usr
...

Code: Select all

apollo::root:/usr> ls -al
drwxr-xr-x  23 root    root     4096 Dec 31 22:05 .
drwxr-xr-x  29 root    root     4096 Dec 31 22:05 ..
drwxr-xr-x   2 root    root    69632 Dec 31 22:04 bin
...
lrwxrwxrwx   1 root    root        9 Dec 29 13:15 ums -> ums-7.7.1
drwxr-sr-x   8 root    root     4096 Aug  6  2016 ums-5.2.3
drwxr-xr-x   8 root    root     4096 Feb 10  2016 ums-6.0.0
drwxr-xr-x   7 root    root     4096 Sep 10  2016 ums-6.5.0
drwxr-xr-x   7 root    root     4096 Feb 21  2017 ums-6.5.3
drwxr-xr-x   7 root    root     4096 Jan  1 01:53 ums-7.7.1
...

Code: Select all

apollo::root:/usr/bin> ls -al vlc* dcraw* mencod*
-rwxr-xr-x 1 root root  276696 Aug 25  2016 dcraw
-rwxr-xr-x 1 root root 2609056 Jan 30  2018 mencoder
-rwxr-xr-x 1 root root   14328 Oct  6 20:20 vlc
-rwxr-xr-x 1 root root   10232 Oct  6 20:20 vlc-wrapper

(Edited to include files in /usr/bin)

boss
Posts: 201
Joined: Thu Jun 30, 2016 1:07 pm

Re: Ubuntu 18.04 -> 'tsmuxer' (and others) is not available

Post by boss » Tue Jan 01, 2019 8:28 pm

Is /usr/bin/vlc a file or is that a directory?
Just saw your post. It's a file.

Your permissions are fine.
What about your UMS directory and file permissions?

boss
Posts: 201
Joined: Thu Jun 30, 2016 1:07 pm

Re: Ubuntu 18.04 -> 'tsmuxer' (and others) is not available

Post by boss » Tue Jan 01, 2019 8:31 pm

Also, did an install package install UMS or did you do it manually.
I always put mine in /opt/ums

Amadeus
Posts: 21
Joined: Fri Oct 09, 2015 10:06 pm

Re: Ubuntu 18.04 -> 'tsmuxer' (and others) is not available

Post by Amadeus » Tue Jan 01, 2019 8:37 pm

All of the permissions in the UMS directory are the same as all the others in my posting above. I didn't make any changes from the default permissions.

Also, I just went and tested a couple videos on my Smart TV and things seem to be working just fine as far as I can tell (which, they weren't a couple hours ago when txmuxer was not available.) So, I don't know why those permission warnings are happening, since UMS is using the files IN those directories that it claim have permission problems.

Anyway, I don't know why UMS isn't automatically finding the binaries and that putting the path in UMS.conf is required -- but, it's still an issue with 7.7.1. Perhaps if I have some free time I'll clone the git repository with the source files and dig around and see if I can find the cause. I'm not super familiar with Java, but I am a C++ coder....so, we'll see if I can find where the problem is happening and why.

Finally, I did install UMS manually. I have all of my custom software in /usr ...dunno why, but been doing it that way for decades ..lol.

boss
Posts: 201
Joined: Thu Jun 30, 2016 1:07 pm

Re: Ubuntu 18.04 -> 'tsmuxer' (and others) is not available

Post by boss » Tue Jan 01, 2019 8:43 pm

It's strange. Says that there are insufficient permissions to execute but then says it is available and works.

Amadeus
Posts: 21
Joined: Fri Oct 09, 2015 10:06 pm

Re: Ubuntu 18.04 -> 'tsmuxer' (and others) is not available

Post by Amadeus » Tue Jan 01, 2019 8:56 pm

I had one thought: could the version of Java make a difference?

Code: Select all

apollo::root:~> java -version
java version "1.7.0_80"
Java(TM) SE Runtime Environment (build 1.7.0_80-b15)
Java HotSpot(TM) 64-Bit Server VM (build 24.80-b11, mixed mode)

Post Reply